// @ts-ignore
import { defineTest } from "jscodeshift/dist/testUtils"
import { Options } from "../codemod"

const transformOptions: Options = {
  entities: {},
  propertyMapping: {},
}

function testFile(filename: string, options: Options = transformOptions) {
  // eslint-disable-next-line @typescript-eslint/no-unsafe-call
  defineTest(__dirname, "codemod", options, filename, { parser: "ts" })
}

testFile("basic", {
  entities: {
    Random: {
      id: "String",
    },
    User: {
      id: "String",
    },
  },
  propertyMapping: {
    UserName: "User",
    UserDetails: "User",
    InvalidProperty: "User",
  },
})
